Package com.android.server.os

# Class LinphoneTombstoneProtos.MemoryDump

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.MemoryDump,LinphoneTombstoneProtos.MemoryDump.Builder>
com.android.server.os.LinphoneTombstoneProtos.MemoryDump

All Implemented Interfaces:
  `LinphoneTombstoneProtos.MemoryDumpOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.MemoryDump extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.MemoryDump,LinphoneTombstoneProtos.MemoryDump.Builder> implements LinphoneTombstoneProtos.MemoryDumpOrBuilder
Protobuf type `MemoryDump`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.MemoryDump.Builder`
Protobuf type `MemoryDump`
`static enum`
`LinphoneTombstoneProtos.MemoryDump.MetadataCase`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARM_MTE_METADATA_FIELD_NUMBER`
`static final int`
`BEGIN_ADDRESS_FIELD_NUMBER`
`static final int`
`MAPPING_NAME_FIELD_NUMBER`
`static final int`
`MEMORY_FIELD_NUMBER`
`static final int`
`REGISTER_NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`LinphoneTombstoneProtos.ArmMTEMetadata`
`getArmMteMetadata()`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`long`
`getBeginAddress()`
`uint64 begin_address = 3;`
`static LinphoneTombstoneProtos.MemoryDump`
`getDefaultInstance()`
`String`
`getMappingName()`
`string mapping_name = 2;`
`com.google.protobuf.ByteString`
`getMappingNameBytes()`
`string mapping_name = 2;`
`com.google.protobuf.ByteString`
`getMemory()`
`bytes memory = 4;`
`LinphoneTombstoneProtos.MemoryDump.MetadataCase`
`getMetadataCase()`
`String`
`getRegisterName()`
`string register_name = 1;`
`com.google.protobuf.ByteString`
`getRegisterNameBytes()`
`string register_name = 1;`
`boolean`
`hasArmMteMetadata()`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`static LinphoneTombstoneProtos.MemoryDump.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.MemoryDump.Builder`
`newBuilder(LinphoneTombstoneProtos.MemoryDump prototype)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.MemoryDump`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.MemoryDump>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### REGISTER_NAME_FIELD_NUMBER

public static final int REGISTER_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### MAPPING_NAME_FIELD_NUMBER

public static final int MAPPING_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### BEGIN_ADDRESS_FIELD_NUMBER

public static final int BEGIN_ADDRESS_FIELD_NUMBER

See Also:
  - Constant Field Values

### MEMORY_FIELD_NUMBER

public static final int MEMORY_FIELD_NUMBER

See Also:
  - Constant Field Values

### ARM_MTE_METADATA_FIELD_NUMBER

public static final int ARM_MTE_METADATA_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getMetadataCase

public LinphoneTombstoneProtos.MemoryDump.MetadataCase getMetadataCase()

Specified by:
  `getMetadataCase` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`

### getRegisterName

public String getRegisterName()
`string register_name = 1;`

Specified by:
  `getRegisterName` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The registerName.

### getRegisterNameBytes

public com.google.protobuf.ByteString getRegisterNameBytes()
`string register_name = 1;`

Specified by:
  `getRegisterNameBytes` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The bytes for registerName.

### getMappingName

public String getMappingName()
`string mapping_name = 2;`

Specified by:
  `getMappingName` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The mappingName.

### getMappingNameBytes

public com.google.protobuf.ByteString getMappingNameBytes()
`string mapping_name = 2;`

Specified by:
  `getMappingNameBytes` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The bytes for mappingName.

### getBeginAddress

public long getBeginAddress()
`uint64 begin_address = 3;`

Specified by:
  `getBeginAddress` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The beginAddress.

### getMemory

public com.google.protobuf.ByteString getMemory()
`bytes memory = 4;`

Specified by:
  `getMemory` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The memory.

### hasArmMteMetadata

public boolean hasArmMteMetadata()
`.ArmMTEMetadata arm_mte_metadata = 6;`

Specified by:
  `hasArmMteMetadata` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  Whether the armMteMetadata field is set.

### getArmMteMetadata

public LinphoneTombstoneProtos.ArmMTEMetadata getArmMteMetadata()
`.ArmMTEMetadata arm_mte_metadata = 6;`

Specified by:
  `getArmMteMetadata` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The armMteMetadata.

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.MemoryDump parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.MemoryDump parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryDump parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.MemoryDump.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.MemoryDump.Builder newBuilder(LinphoneTombstoneProtos.MemoryDump prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.MemoryDump,LinphoneTombstoneProtos.MemoryDump.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.MemoryDump getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.MemoryDump> parser()